MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001829OPIETaskbar/Launcher/Pluginspublic2007-01-27 14:542010-09-04 12:32
ReporterBlueLightning 
Assigned To 
PrioritynormalSeveritycrashReproducibilitysometimes
StatusconfirmedResolutionopen 
PlatformiPAQ h3850OSFamiliarOS Version0.8.4
Product Version1.2.1 
Fixed in Version 
Summary0001829: irdaapplet causes qpe to crash when sending files
DescriptionIf you send a file a few times with the IrDA applet enabled, eventually the device appears to lock up - in fact qpe has crashed.
Steps To Reproduce1. Enable the IrDA applet
2. Line up another device
3. Use AdvancedFM to beam a file a few times
Additional InformationReported by bsm in #opie, confirmed by me.
TagsNo tags attached.
Attached Files

- Relationships
child of 0001934acknowledged Opie 1.2.6 Release 

-  Notes
(0004478)
BlueLightning (administrator)
2007-01-27 14:55

Both of us were testing with iPAQ h3850 handhelds.
(0004500)
ehovland (developer)
2007-01-29 19:02

If you have a specific test procedure it would help me test.

Do you think it is a qpe issue?

It gets harder to fix if it is.
(0004545)
ehovland (developer)
2007-02-13 23:08

I have uploaded a patch which does not fix anything. But does reformat irda.cpp and irda.h so that they are in conformance with Opie style guidelines. Feel free to use it as a first patch for working with this problem.
(0004553)
ehovland (developer)
2007-03-06 02:27

The uploaded patch was removed as it was committed on 2007-03-05.
(0004565)
polyonymous (reporter)
2007-05-11 00:56

Don't take offense of the filename, it's just the way I've had it named here ;-)
(0004566)
ehovland (developer)
2007-05-11 01:35

Polyonymous - Good catch. Patch applied.
(0004609)
BlueLightning (administrator)
2007-07-15 12:27

A possibly related issue as reported in a note on 0001854 - Opie sometimes seems to lock up after sending / recieving contacts. The behaviour I see here in this case is the GUI becomes unresponsive but quicklauncher/qpe are still running and quicklauncher uses 99% CPU.
(0004841)
BlueLightning (administrator)
2008-08-26 10:57

I've seen this several times recently when running 1.2.3 and CVS, but annoyingly when I've tried to debug it the problem goes away. At least I think I may have narrowed it down to the applet itself - it may be related to the device discovery. I have noticed shortly after receiving the remote end is often lost and then found again immediately, and a couple of times it crashed here. I also got one crash after leaving my spitz running for a few minutes with IR, discovery & receive enabled.
(0004862)
BlueLightning (administrator)
2008-09-29 04:13

I'm finding this too difficult to reproduce - there's little chance of finding it before 1.2.4, so I have moved it to 1.2.5.
(0004925)
BlueLightning (administrator)
2010-09-04 12:32

Slipping again to 1.2.6.

- Issue History
Date Modified Username Field Change
2007-01-27 14:54 BlueLightning New Issue
2007-01-27 14:54 BlueLightning Status new => confirmed
2007-01-27 14:55 BlueLightning Note Added: 0004478
2007-01-29 19:02 ehovland Note Added: 0004500
2007-01-31 06:25 BlueLightning Relationship added child of 0001837
2007-02-13 23:07 ehovland File Added: 03_reformat-irdaapplet.patch
2007-02-13 23:08 ehovland Note Added: 0004545
2007-03-06 02:26 ehovland File Deleted: 03_reformat-irdaapplet.patch
2007-03-06 02:27 ehovland Note Added: 0004553
2007-05-11 00:55 polyonymous File Added: learning-cpp.patch
2007-05-11 00:56 polyonymous Note Added: 0004565
2007-05-11 01:35 ehovland Note Added: 0004566
2007-05-11 01:35 ehovland File Deleted: learning-cpp.patch
2007-07-15 12:27 BlueLightning Note Added: 0004609
2007-07-16 13:56 BlueLightning Relationship deleted child of 0001837
2007-07-16 20:40 ehovland Relationship added child of 0001873
2008-08-26 10:57 BlueLightning Note Added: 0004841
2008-09-29 04:13 BlueLightning Note Added: 0004862
2008-09-29 04:13 BlueLightning Relationship deleted child of 0001873
2008-09-29 04:13 BlueLightning Relationship added child of 0001898
2010-09-04 12:31 BlueLightning Relationship deleted child of 0001898
2010-09-04 12:31 BlueLightning Relationship added child of 0001934
2010-09-04 12:32 BlueLightning Note Added: 0004925


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker